.TH xfsm 1.0 "28 July 1998" xfsm
.UC
.SH NAME
\fBxfsm\fP \- a file system monitor derived from AfterStep's asfsm
.SH SYNOPSIS
\fBxfsm\fP 
[-int time_interval (seconds)] [-mounts (popup)] 
[-cmd user_defined_command]   [-hicolor]           [-help] 
[-x xpos]      [-y ypos]      [-w width]       [-h height] 
[-maxh line_max_height]         [-showzero] [-z zerocolor]
[-rootm root_mount_color]       [-rootu root_umount_color]
[-userm user_mount_color]       [-useru user_umount_color]
[-bg bg_color] [-bp bg_pixmap]     [-cdrom fg_color_cdrom]                
[-hdunix fg_color_hd_ext2]      [-hdelse fg_color_hd_else]
[-fdunix fg_color_fd_ext2]      [-fdelse fg_color_fd_else]
[-nfs fg_color_nfs]                [-popbg popup_bg_color]
[-popbp popup_bg_pixmap]           [-popfg popup_fg_color]
[-popbd popup_border_color] 

.SH DESCRIPTION
The \fBxfsm\fP application is a file system monitor suitable for most X Window 
managers.  It displays "raised" horizontal bars representing the percent used 
of each mounted filesystem. Filesystems of zero initial block size are 
represented as "lowered" horizontal bars that span the entire window if the 
-showzero option is used, otherwise they are not shown at all.
\fBxfsm\fP checks the filesystem usage on an interval.  Filesystems mounted 
between intervals will appear after the next scan.  Left clicking the mouse 
in a bar pops up a window displaying detailed information about the filesystem 
that the bar represents.  
Left clicking the mouse in the border or anywhere not occupied by a bar pops up
a window which displays the filesystem names and mount directories for each
filesystem available for mount (excluding NFS filesystems on sun machines).  
An icon surrounded by a colored rectangle displays the filesystem type and
status.  A red rectangle denotes an unmounted filesystem, a green denotes a
mounted filesystem and a yellow rectangle denotes a filesystem which users do
not have permission to mount or unmount.  A zip disk image is displayed for all
filesystems whose device name contain "zip",  a Compact Disc is displayed for
all filesystems whose type is "RCKRDG", "ISO9660", "iso9660", or "hsfs",  
a floppy image is displayed for all filesystems whose device name contains "fd",
a dos floppy image is displayed for all floppies whose device type is "DOS"
or "msdos", a dos hard disk image is displayed for all non-floppies whose device
type is "DOS" or "msdod", a networking image is displayed for all nfs 
filesystems (whose filesystem names have a":" in them) and an image of a hard 
drive platter with a devil on it is displayed for everything else.  Left 
clicking inside the colored rectangle toggles the mount status of the 
filesystem.
.SH CONFIGURATION OPTIONS
.IP "-showzero"
.RS
Shows zero sized filesystems such as /proc.
.RE
.IP "-bg"
.RS
Changes background color of the main window.
.RE
.IP "-bp"
.RS
Changes background pixmap of the main window. Can also be None which lets the 
background color show through, or Default which lets a default pixmap appear.
.RE
.IP "-cdrom  -hdunix  -hdelse  -fdunix  -fdelse  -nfs" 
.RS
These options change the foreground color corresponding to various
file systems in the bars of the main window (cdrom, hard disk [ext2 or
else], floppy disk [ext2 or else], nfs).
.RE
.IP "-z"
.RS
Changes foreground color for filesystems of zero initial block size.
.RE
.IP "-popfg"
.RS
Changes foreground color of the popup window.
.RE
.IP "-popbd"
.RS
Changes border color of the popup window.
.RE
.IP "-popbg"
.RS
Changes background color of the popup window.
.RE
.IP "-popbp"
.RS
Changes background pixmap of the popup window. Can also be None which lets 
the background color show through, Transparent which makes it transparent,
Translucent which makes it translucent, or Default.
.RE
.IP "-userm  -useru  -rootm  -rootu"
.RS
Changes colors of the frames in the popup window, indicating whether a file
system is mounted, and/or whether it can be accessed by an ordinary or
privileged user.
.RE
.IP "-help"
.RS
Displays the list of options
.RE
.IP "-hicolor"
.RS
Forces the use of the maximum number of colors, which is normally disabled
in pseudocolor mode (color depth 8 or less).
.RE
.IP "-mounts"
.RS
Activates the mounts popup window when starting xfsm.
.RE
.IP "-int"
.RS
Changes the interval of scan in seconds. The default is every 2 seconds.
.RE
.IP "-x"
.RS
Fixes the x position of the mount window (which otherwise is determined
by the mouse position).
.RE
.IP "-y"
.RS
Fixes the y position of the mount window (which otherwise is determined
by the mouse position).
.RE
.IP "-w"
.RS
Changes the width of the main window.
.RE
.IP "-h"
.RS
Changes the heigth of the main window.
.RE
.IP "-maxh"
.RS
Fixes the maximum height of the main window line bars.
.RE
.IP "-cmd"
.RS
Sets a command to be performed when a filesystem is mounted by one of the
mount buttons. In this way, user defined postprocessing commands can
be performed, depending on which mouse buttons are clicked.
.RE
.SH INVOCATION
\fBxfsm\fP can be called from one of many ways.  The most common invocation
is the command line:
.nf

	[user@host] ~% xfsm -bg lightgreen -pfg darkblue -i 3 -pbp Translucent&

.fi
Another way to call \fBxfsm\fP is from the window manager:
.nf

	*Wharf - - MaxSwallow "xfsm"	xfsm -bg lightgreen -pfg darkblue -i 3 -pbp Translucent&

.fi


This line, when placed in the \fIwharf\fP file in ~/GNUstep/Library/AfterStep
will cause \fBxfsm\fP a
button on the \fBWharf (1)\fP button bar under the \fBafterstep (1)\fP
window manager.
.SH COPYRIGHTS
GNU GPL v2
.SH AUTHORS
David Muse <dmuse@engr.latech.edu> -- application and man page.
